# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.82"
name = "slicec"
version = "0.3.3"
authors = ["ZeroC Inc."]
build = "build.rs"
exclude = [
    ".github/*",
    ".vscode/*",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = """
The Slice parser and other core components for Slice compilers.
"""
homepage = "https://docs.icerpc.dev/slice2"
documentation = "https://docs.rs/slicec"
readme = "README.md"
keywords = [
    "slice",
    "ice",
    "icerpc",
]
license = "Apache-2.0"
repository = "https://github.com/icerpc/slicec"

[lib]
name = "slicec"
path = "src/lib.rs"

[[example]]
name = "parse"
path = "examples/parse.rs"

[[test]]
name = "attribute_tests"
path = "tests/attribute_tests.rs"

[[test]]
name = "class_tests"
path = "tests/class_tests.rs"

[[test]]
name = "comment_tests"
path = "tests/comment_tests.rs"

[[test]]
name = "compilation_mode_tests"
path = "tests/compilation_mode_tests.rs"

[[test]]
name = "custom_tests"
path = "tests/custom_tests.rs"

[[test]]
name = "cycle_tests"
path = "tests/cycle_tests.rs"

[[test]]
name = "diagnostic_output_tests"
path = "tests/diagnostic_output_tests.rs"

[[test]]
name = "dicionary_tests"
path = "tests/dicionary_tests.rs"

[[test]]
name = "enum_tests"
path = "tests/enum_tests.rs"

[[test]]
name = "exception_tests"
path = "tests/exception_tests.rs"

[[test]]
name = "file_tests"
path = "tests/file_tests.rs"

[[test]]
name = "identifier_tests"
path = "tests/identifier_tests.rs"

[[test]]
name = "interface_tests"
path = "tests/interface_tests.rs"

[[test]]
name = "mixed_encoding_tests"
path = "tests/mixed_encoding_tests.rs"

[[test]]
name = "module_tests"
path = "tests/module_tests.rs"

[[test]]
name = "optional_tests"
path = "tests/optional_tests.rs"

[[test]]
name = "parser_tests"
path = "tests/parser_tests.rs"

[[test]]
name = "preprocessor_tests"
path = "tests/preprocessor_tests.rs"

[[test]]
name = "primitive_tests"
path = "tests/primitive_tests.rs"

[[test]]
name = "redefinition_tests"
path = "tests/redefinition_tests.rs"

[[test]]
name = "result_tests"
path = "tests/result_tests.rs"

[[test]]
name = "scope_resolution_tests"
path = "tests/scope_resolution_tests.rs"

[[test]]
name = "sequence_tests"
path = "tests/sequence_tests.rs"

[[test]]
name = "struct_tests"
path = "tests/struct_tests.rs"

[[test]]
name = "tag_tests"
path = "tests/tag_tests.rs"

[[test]]
name = "test_helpers"
path = "tests/test_helpers.rs"

[[test]]
name = "typealias_tests"
path = "tests/typealias_tests.rs"

[dependencies.clap]
version = "4.5.53"
features = ["derive"]

[dependencies.console]
version = "0.16.1"

[dependencies.convert_case]
version = "0.10.0"

[dependencies.in_definite]
version = "1.1.2"

[dependencies.lalrpop-util]
version = "0.22.2"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.145"

[dependencies.sha2]
version = "0.10.9"

[dev-dependencies.test-case]
version = "3.3.1"

[build-dependencies.lalrpop]
version = "0.22.2"
default-features = false
